[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TImagePaintBackgroundEvent

Specifies an event handler signalled to draw the background for an image.

## Declaration

Source position: extctrls.pp line 44

`type TImagePaintBackgroundEvent = procedure(`
`ASender: TObject;`
`ACanvas: TCanvas;`
`ARect: TRect`
`) of object;`

## Arguments

`ASender` |  | Object for the event notification.
`ACanvas` |  | Canvas for the image is drawn.
`ARect` |  | Rectangle with the dimensions for the image.

## Description

TImagePaintBackgroundEvent is an object procedure which specifies an event handler signalled to draw the background for a TImage class instance. TImagePaintBackgroundEvent is the type used to implement the OnPaintBackground event handler in TCustomImage.

## See also

TCustomImage.OnPaintBackground |  | Event handler signalled to draw the background for the image.